using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Prova5
{
    public partial class Viewer : Form
    {
        private IList _dataSource;

        public Viewer()
        {
            InitializeComponent();
        }

        public IList DataSource
        {
            get { return _dataSource; }
            set
            {
                if (value != _dataSource)
                {
                    _dataSource = value;
                    if (_dataSource != null && _dataSource.Count > 0)
                    {
                        _numericUpDown.Enabled = true;
                        _numericUpDown.Minimum = 0;
                        _numericUpDown.Maximum = _dataSource.Count - 1;
                        _numericUpDown.Value = 0;
                        _dataGridView.DataSource = _dataSource[(int) _numericUpDown.Value];
                    }
                    else
                    {
                        _numericUpDown.Enabled = false;
                    }
                }
            }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            DataSetConverter dataSetConverter = new DataSetConverter("Library.dll");
            DataSource = dataSetConverter.GetLists();
        }

        private void _numericUpDown_ValueChanged(object sender, EventArgs e)
        {
            NumericUpDown numericUpDown = (NumericUpDown) sender;
            _dataGridView.DataSource = DataSource[(int) numericUpDown.Value];
        }
    }
}